#### Description:

This function returns a pointer to the FrameSet encapsulated by a Region. The base Frame is the Frame in which the box was originally defined, and the current Frame is the Frame into which the Region is currently mapped (i.e. it will be the same as the Frame returned by astGetRegionFrame).

#### Synopsis

AstFrame ∗astGetRegionFrameSet( AstRegion ∗this )

#### Parameters:

##### this

Pointer to the Region.

#### Returned Value

##### astGetRegionFrameSet()

A pointer to a deep copy of the FrameSet represented by the Region. Using this pointer to modify the FrameSet will have no effect on the Region.

#### Notes:

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory